Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp	(revision 97)
@@ -10,7 +10,10 @@
 #include "Behavioural/Custom/include/Custom_default.h"
 #include "Behavioural/Custom/include/Custom_example.h"
+#include "Common/include/Time.h"
 
 void test (string name)
 {
+  Time * timing = new Time (false);
+
   morpheo::behavioural::custom::custom_information_t (*_get_custom_information) (void) = &(morpheo::behavioural::custom::default_get_custom_information);
 
@@ -81,5 +84,4 @@
   delete generator1;
   delete simulator1;
-
-
+  delete timing;
 }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Configuration.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Configuration.h	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Configuration.h	(revision 97)
@@ -46,4 +46,5 @@
   public   :                     ~Configuration  ();
 
+  public   : std::string                                   header             (void);
   public   : std::string                                   getName            (void);
   public   : Tusage_t                                      getUsage           (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h	(revision 97)
@@ -30,4 +30,5 @@
   public : uint32_t              * _ras_size_queue                                ;//[nb_thread]
   public : uint32_t              * _upt_size_queue                                ;//[nb_thread]
+  public : uint32_t              * _ufpt_size_queue                               ;//[nb_thread]
  
     // Decod bloc
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration.cpp	(revision 97)
@@ -23,19 +23,25 @@
     log_begin(Configuration,FUNCTION);
 
+    //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // Simulator configuration
+    //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
     _simulator = new Simulator (filename_simulator);
-    _generator = new Generator (filename_generator);
-    _instance  = new Instance  (filename_instance ,
-                                _generator,
-                                get_custom_information);
 
     //--------------------------------------------------
-    // Name
+    // Directory
     //--------------------------------------------------
-    _name      = _instance->getName();
+    directory_init (_simulator->getParam("directory_statistics"),
+                    _simulator->getParam("directory_vhdl"      ),
+                    _simulator->getParam("directory_position"  ),
+                    _simulator->getParam("directory_log"       ));
 
     //--------------------------------------------------
-    // Parameters
+    // Debug & Log File
     //--------------------------------------------------
-    _param     = _instance->_param;
+    debug_init (fromString<debug_verbosity_t>(_simulator->getParam("debug_level")));
+
+    log_init(fromString<bool>(_simulator->getParam("debug_have_log_file")),
+             MORPHEO_LOG);
 
     //--------------------------------------------------
@@ -64,4 +70,11 @@
 
     //--------------------------------------------------
+    // Header
+    //--------------------------------------------------
+
+    if (usage_is_set(_usage,USE_HEADER))
+      std::cout << header();
+
+    //--------------------------------------------------
     // Parameters_Statistics
     //--------------------------------------------------
@@ -75,11 +88,24 @@
                      fromString<double>(_simulator->getParam("simulation_nb_instruction")));
 
+
+    //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // Generator configuration + Instance
+    //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+    _generator = new Generator (filename_generator);
+    _instance  = new Instance  (filename_instance ,
+                                _generator,
+                                get_custom_information);
+
     //--------------------------------------------------
-    // Directory
+    // Name
     //--------------------------------------------------
-    directory_init (_simulator->getParam("directory_statistics"),
-                    _simulator->getParam("directory_vhdl"      ),
-                    _simulator->getParam("directory_position"  ),
-                    _simulator->getParam("directory_log"       ));
+    _name      = _instance->getName();
+
+    //--------------------------------------------------
+    // Parameters
+    //--------------------------------------------------
+    _param     = _instance->_param;
+
 
     log_end(Configuration,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp	(revision 97)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp	(revision 97)
@@ -0,0 +1,70 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Configuration.h"
+#include "Behavioural/include/Version.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Configuration::header"
+std::string Configuration::header (void)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    std::string str = "";
+
+    /*
+                             _                
+                            | |               
+  _ __ ___   ___  _ __ _ __ | |__   ___  ___  
+ | '_ ` _ \ / _ \| '__| '_ \| '_ \ / _ \/ _ \ 
+ | | | | | | (_) | |  | |_) | | | |  __/ (_) |
+ |_| |_| |_|\___/|_|  | .__/|_| |_|\___|\___/ 
+                      | |                     
+                      |_|                     
+                                  __                       
+                                 /\ \                      
+   ___ ___     ___   _ __   _____\ \ \___      __    ___   
+ /' __` __`\  / __`\/\`'__\/\ '__`\ \  _ `\  /'__`\ / __`\ 
+ /\ \/\ \/\ \/\ \L\ \ \ \/ \ \ \L\ \ \ \ \ \/\  __//\ \L\ \
+ \ \_\ \_\ \_\ \____/\ \_\  \ \ ,__/\ \_\ \_\ \____\ \____/
+  \/_/\/_/\/_/\/___/  \/_/   \ \ \/  \/_/\/_/\/____/\/___/ 
+                              \ \_\                        
+                               \/_/                        
+
+*/
+
+    str += toString(MSG_INFORMATION)+"                                  __                       \n";
+    str += toString(MSG_INFORMATION)+"                                 /\\ \\                      \n";
+    str += toString(MSG_INFORMATION)+"   ___ ___     ___   _ __   _____\\ \\ \\___      __    ___   \n";
+    str += toString(MSG_INFORMATION)+" /' __` __`\\  / __`\\/\\`'__\\/\\ '__`\\ \\  _ `\\  /'__`\\ / __`\\ \n";
+    str += toString(MSG_INFORMATION)+" /\\ \\/\\ \\/\\ \\/\\ \\L\\ \\ \\ \\/ \\ \\ \\L\\ \\ \\ \\ \\ \\/\\  __//\\ \\L\\ \\\n";
+    str += toString(MSG_INFORMATION)+" \\ \\_\\ \\_\\ \\_\\ \\____/\\ \\_\\  \\ \\ ,__/\\ \\_\\ \\_\\ \\____\\ \\____/\n";
+    str += toString(MSG_INFORMATION)+"  \\/_/\\/_/\\/_/\\/___/  \\/_/   \\ \\ \\/  \\/_/\\/_/\\/____/\\/___/ \n";
+    str += toString(MSG_INFORMATION)+"                              \\ \\_\\                        \n";
+    str += toString(MSG_INFORMATION)+"                               \\/_/                        \n";
+    str += toString(MSG_INFORMATION)+"\n";
+    str += toString(MSG_INFORMATION)+_("  * Multiple ORganization of a Processor with HEterogeneous and Open architecture\n");
+    str += toString(MSG_INFORMATION)+_("  * Version            : ")+toString(MORPHEO_HEADER)+"\n";
+    str += toString(MSG_INFORMATION)+_("  * Last change        : ")+toString(MORPHEO_DATE  )+"\n";
+    str += toString(MSG_INFORMATION)+_("  * E-mail support     : mathieu.rosiere@lip6.fr\n"      );
+    str += toString(MSG_INFORMATION)+_("  * Original author(s) : Mathieu  Rosière\n"             );
+    str += toString(MSG_INFORMATION)+_("  * Contributor(s)     : Stéphane Dubuisson - XMLLight\n");
+    str += toString(MSG_INFORMATION)+_("                         Vincent  Moulu     - VHDL\n"    );
+    str += toString(MSG_INFORMATION)+"\n";
+
+    log_end(Configuration,FUNCTION);
+
+    return str;
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp	(revision 97)
@@ -164,4 +164,5 @@
         DELETE1(_param->_nb_inst_decod                          ,_param->_nb_decod_bloc);
         DELETE1(_param->_size_decod_queue                       ,_param->_nb_decod_bloc);
+        DELETE1(_param->_ufpt_size_queue                        ,_param->_nb_thread);
         DELETE1(_param->_upt_size_queue                         ,_param->_nb_thread);
         DELETE1(_param->_ras_size_queue                         ,_param->_nb_thread);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 97)
@@ -21,5 +21,5 @@
     // Common
     //-----------------------------------------------------
-    log_printf(INFO,Configuration,FUNCTION,_("COMMON"));
+  //log_printf(INFO,Configuration,FUNCTION,_("COMMON"));
 
     _param->_size_general_data   = fromString<uint32_t>(getParam("size_data"          , ""));
@@ -46,8 +46,9 @@
     ALLOC1(_param->_ras_size_queue   ,uint32_t,_param->_nb_thread);
     ALLOC1(_param->_upt_size_queue   ,uint32_t,_param->_nb_thread);
+    ALLOC1(_param->_ufpt_size_queue  ,uint32_t,_param->_nb_thread);
     
     for (uint32_t i=0; i<_param->_nb_thread; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("THREAD [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("THREAD [%d]"),i);
 
         _param->_size_ifetch_queue [i] = fromString<uint32_t>(getParam("size_ifetch_queue", "thread",toString(i).c_str(),""));
@@ -55,4 +56,5 @@
         _param->_ras_size_queue    [i] = fromString<uint32_t>(getParam("ras_size_queue"   , "thread",toString(i).c_str(),""));
         _param->_upt_size_queue    [i] = fromString<uint32_t>(getParam("upt_size_queue"   , "thread",toString(i).c_str(),""));
+        _param->_ufpt_size_queue   [i] = fromString<uint32_t>(getParam("ufpt_size_queue"  , "thread",toString(i).c_str(),""));
 
         // just read !!!
@@ -85,5 +87,5 @@
     for (uint32_t i=0; i<_param->_nb_decod_bloc; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("DECOD_BLOC [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("DECOD_BLOC [%d]"),i);
 
         _param->_size_decod_queue              [i] = fromString<uint32_t         > (getParam("size_decod_queue"             , "decod_bloc",toString(i).c_str(),""));
@@ -111,5 +113,5 @@
     for (uint32_t i=0; i<_param->_nb_rename_bloc; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("RENAME_BLOC [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("RENAME_BLOC [%d]"),i);
 
         _param->_nb_inst_insert                    [i] = fromString<uint32_t         > (getParam("nb_inst_insert"                   , "rename_bloc",toString(i).c_str(),""));
@@ -134,5 +136,5 @@
     for (uint32_t i=0; i<_param->_nb_read_bloc; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("READ_BLOC [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("READ_BLOC [%d]"),i);
 
         _param->_size_read_queue                    [i] = fromString<uint32_t> (getParam("size_read_queue"                   ,"read_bloc",toString(i).c_str(),""));
@@ -150,5 +152,5 @@
     for (uint32_t i=0; i<_param->_nb_write_bloc; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("WRITE_BLOC [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("WRITE_BLOC [%d]"),i);
 
         _param->_size_write_queue   [i] = fromString<uint32_t> (getParam("size_write_queue"  ,"write_bloc",toString(i).c_str(),""));
@@ -171,5 +173,5 @@
     for (uint32_t i=0; i<_param->_nb_load_store_unit; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("LOAD_STORE_UNIT [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("LOAD_STORE_UNIT [%d]"),i);
 
         _param->_size_store_queue              [i] = fromString<uint32_t> (getParam("size_store_queue"             ,"load_store_unit",toString(i).c_str(),""));
@@ -192,5 +194,5 @@
     for (uint32_t i=0; i<_param->_nb_functionnal_unit; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("FUNCTIONNAL_UNIT [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("FUNCTIONNAL_UNIT [%d]"),i);
 
         _param->_nb_inst_functionnal_unit [i] = fromString<uint32_t> (getParam("nb_inst_functionnal_unit","functionnal_unit",toString(i).c_str(),""));
@@ -243,5 +245,5 @@
     //-----------------------------------------------------
 
-    log_printf(INFO,Configuration,FUNCTION,_("ICACHE_PORT"));
+  //log_printf(INFO,Configuration,FUNCTION,_("ICACHE_PORT"));
 
     _param->_nb_icache_port               = fromString<uint32_t         >(getParam("nb_icache_port"            , ""));
@@ -252,5 +254,5 @@
     // dcache_port
     //-----------------------------------------------------
-    log_printf(INFO,Configuration,FUNCTION,_("DCACHE_PORT"));
+  //log_printf(INFO,Configuration,FUNCTION,_("DCACHE_PORT"));
 
     _param->_nb_dcache_port               = fromString<uint32_t         >(getParam("nb_dcache_port"            , ""));
@@ -282,5 +284,5 @@
     for (uint32_t i=0; i<_param->_nb_front_end; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("FRONT_END [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("FRONT_END [%d]"),i);
 
         _param->_nb_context                    [i] = fromString<uint32_t    >(getParam("nb_context"                ,"front_end",toString(i).c_str(), ""));
@@ -306,5 +308,5 @@
         for (uint32_t j=0; j<3; ++j)
           {
-            log_printf(INFO,Configuration,FUNCTION,_("PREDICTOR [%d][%d]"),i,j);
+          //log_printf(INFO,Configuration,FUNCTION,_("PREDICTOR [%d][%d]"),i,j);
 
         _param->_dir_have_bht               [i][j] = fromString<bool        >(getParam("dir_have_bht"              ,"front_end",toString(i).c_str(),"predictor",toString(j).c_str(), ""));
@@ -343,5 +345,5 @@
     for (uint32_t i=0; i<_param->_nb_ooo_engine; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("OOO_ENGINE [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("OOO_ENGINE [%d]"),i);
 
         _param->_nb_rename_unit          [i] = fromString<uint32_t         >(getParam("nb_rename_unit"          ,"ooo_engine",toString(i).c_str(), ""));
@@ -383,5 +385,5 @@
     for (uint32_t i=0; i<_param->_nb_execute_loop; ++i)
       {
-        log_printf(INFO,Configuration,FUNCTION,_("EXECUTE_LOOP [%d]"),i);
+      //log_printf(INFO,Configuration,FUNCTION,_("EXECUTE_LOOP [%d]"),i);
 
         _param->_nb_read_unit                         [i] = fromString<uint32_t   >(getParam("nb_read_unit"                         ,"execute_loop",toString(i).c_str(), ""));
@@ -402,5 +404,5 @@
     //-----------------------------------------------------
 
-    log_printf(INFO,Configuration,FUNCTION,_("LINK"));
+  //log_printf(INFO,Configuration,FUNCTION,_("LINK"));
 
     _param->_dispatch_priority       = fromString<Tpriority_t      >(getParam("dispatch_priority"      , ""));
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_getLink.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_getLink.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_getLink.cpp	(revision 97)
@@ -74,10 +74,10 @@
       {
         _return = link2array(dest);
-        log_printf(INFO,Configuration,FUNCTION,_("Link       \"%s[%s]\"= %s."),name,src.c_str(),dest.c_str());
+      //log_printf(INFO,Configuration,FUNCTION,_("Link       \"%s[%s]\"= %s."),name,src.c_str(),dest.c_str());
       }
     else
       {
         _return.clear();
-        log_printf(INFO,Configuration,FUNCTION,_("Link       \"%s[%s]\" not find."),name,src.c_str());
+      //log_printf(INFO,Configuration,FUNCTION,_("Link       \"%s[%s]\" not find."),name,src.c_str());
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_getParam.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_getParam.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_getParam.cpp	(revision 97)
@@ -48,5 +48,5 @@
           if (it == ((*list_components)[component]).end())
             {
-              log_printf(INFO,Configuration,FUNCTION,_("Component \"%s[%s]\" is not define, take default value for parameter \"%s\"."),component.c_str(),id.c_str(),name);
+            //log_printf(INFO,Configuration,FUNCTION,_("Component \"%s[%s]\" is not define, take default value for parameter \"%s\"."),component.c_str(),id.c_str(),name);
 
               value = _generator->getParam(name)->_default;
@@ -68,5 +68,5 @@
           if (it == (*list_parameters).end())
             {
-              log_printf(INFO,Configuration,FUNCTION,_("Component \"%s[%s]\" is define, but parameter \"%s\" is not define. Take default value."),component.c_str(),id.c_str(),name);
+            //log_printf(INFO,Configuration,FUNCTION,_("Component \"%s[%s]\" is define, but parameter \"%s\" is not define. Take default value."),component.c_str(),id.c_str(),name);
 
               value = _generator->getParam(name)->_default;
@@ -85,5 +85,5 @@
     }
     
-    log_printf(INFO,Configuration,FUNCTION,_("Parameters \"%s\" = %s."),name,value.c_str());
+  //log_printf(INFO,Configuration,FUNCTION,_("Parameters \"%s\" = %s."),name,value.c_str());
 
     log_end(Configuration,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/src/test.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/src/test.cpp	(revision 97)
@@ -74,5 +74,5 @@
   ALLOC1_SC_SIGNAL(out_COMMIT_EVENT_FRONT_END_ADDRESS_EPCR       ,"out_COMMIT_EVENT_FRONT_END_ADDRESS_EPCR       ",Taddress_t        ,_param->_nb_front_end);
   ALLOC1_SC_SIGNAL(out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR_VAL   ,"out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR_VAL   ",Tcontrol_t        ,_param->_nb_front_end);
-  ALLOC1_SC_SIGNAL(out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ,"out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ",Taddress_t        ,_param->_nb_front_end);
+  ALLOC1_SC_SIGNAL(out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ,"out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ",Tgeneral_data_t   ,_param->_nb_front_end);
   ALLOC1_SC_SIGNAL( in_COMMIT_EVENT_OOO_ENGINE_VAL               ," in_COMMIT_EVENT_OOO_ENGINE_VAL               ",Tcontrol_t        ,_param->_nb_ooo_engine);
   ALLOC1_SC_SIGNAL(out_COMMIT_EVENT_OOO_ENGINE_ACK               ,"out_COMMIT_EVENT_OOO_ENGINE_ACK               ",Tcontrol_t        ,_param->_nb_ooo_engine);
@@ -85,5 +85,5 @@
   ALLOC1_SC_SIGNAL( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EPCR      ," in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EPCR      ",Taddress_t        ,_param->_nb_ooo_engine);
   ALLOC1_SC_SIGNAL( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR_VAL  ," in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR_VAL  ",Tcontrol_t        ,_param->_nb_ooo_engine);
-  ALLOC1_SC_SIGNAL( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ," in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ",Taddress_t        ,_param->_nb_ooo_engine);
+  ALLOC1_SC_SIGNAL( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ," in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ",Tgeneral_data_t   ,_param->_nb_ooo_engine);
   ALLOC2_SC_SIGNAL( in_ISSUE_OOO_ENGINE_VAL                      ," in_ISSUE_OOO_ENGINE_VAL                      ",Tcontrol_t        ,_param->_nb_ooo_engine,_param->_nb_inst_issue[it1]);
   ALLOC2_SC_SIGNAL(out_ISSUE_OOO_ENGINE_ACK                      ,"out_ISSUE_OOO_ENGINE_ACK                      ",Tcontrol_t        ,_param->_nb_ooo_engine,_param->_nb_inst_issue[it1]);
@@ -139,5 +139,5 @@
   ALLOC3_SC_SIGNAL(out_EXECUTE_OOO_ENGINE_EXCEPTION              ,"out_EXECUTE_OOO_ENGINE_EXCEPTION              ",Texception_t      ,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
   ALLOC3_SC_SIGNAL(out_EXECUTE_OOO_ENGINE_NO_SEQUENCE            ,"out_EXECUTE_OOO_ENGINE_NO_SEQUENCE            ",Tcontrol_t        ,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
-  ALLOC3_SC_SIGNAL(out_EXECUTE_OOO_ENGINE_ADDRESS                ,"out_EXECUTE_OOO_ENGINE_ADDRESS                ",Tgeneral_data_t   ,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
+  ALLOC3_SC_SIGNAL(out_EXECUTE_OOO_ENGINE_ADDRESS                ,"out_EXECUTE_OOO_ENGINE_ADDRESS                ",Taddress_t        ,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
   ALLOC3_SC_SIGNAL(out_EXECUTE_OOO_ENGINE_DATA                   ,"out_EXECUTE_OOO_ENGINE_DATA                   ",Tgeneral_data_t   ,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
   ALLOC2_SC_SIGNAL( in_EXECUTE_EXECUTE_LOOP_VAL                  ," in_EXECUTE_EXECUTE_LOOP_VAL                  ",Tcontrol_t        ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
@@ -152,5 +152,5 @@
   ALLOC2_SC_SIGNAL( in_EXECUTE_EXECUTE_LOOP_EXCEPTION            ," in_EXECUTE_EXECUTE_LOOP_EXCEPTION            ",Texception_t      ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
   ALLOC2_SC_SIGNAL( in_EXECUTE_EXECUTE_LOOP_NO_SEQUENCE          ," in_EXECUTE_EXECUTE_LOOP_NO_SEQUENCE          ",Tcontrol_t        ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
-  ALLOC2_SC_SIGNAL( in_EXECUTE_EXECUTE_LOOP_ADDRESS              ," in_EXECUTE_EXECUTE_LOOP_ADDRESS              ",Tgeneral_data_t   ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
+  ALLOC2_SC_SIGNAL( in_EXECUTE_EXECUTE_LOOP_ADDRESS              ," in_EXECUTE_EXECUTE_LOOP_ADDRESS              ",Taddress_t        ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
   ALLOC2_SC_SIGNAL( in_EXECUTE_EXECUTE_LOOP_DATA                 ," in_EXECUTE_EXECUTE_LOOP_DATA                 ",Tgeneral_data_t   ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
   ALLOC2_SC_SIGNAL( in_INSERT_OOO_ENGINE_VAL                     ," in_INSERT_OOO_ENGINE_VAL                     ",Tcontrol_t          ,_param->_nb_ooo_engine,_param->_nb_inst_insert[it1]);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Core_Glue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Core_Glue.h	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Core_Glue.h	(revision 97)
@@ -95,5 +95,5 @@
   public    : SC_OUT(Taddress_t        )   ** out_COMMIT_EVENT_FRONT_END_ADDRESS_EPCR       ;//[nb_front_end]
   public    : SC_OUT(Tcontrol_t        )   ** out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR_VAL   ;//[nb_front_end]
-  public    : SC_OUT(Taddress_t        )   ** out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ;//[nb_front_end]
+  public    : SC_OUT(Tgeneral_data_t   )   ** out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ;//[nb_front_end]
 
   public    : SC_IN (Tcontrol_t        )   **  in_COMMIT_EVENT_OOO_ENGINE_VAL               ;//[nb_ooo_engine]
@@ -107,5 +107,5 @@
   public    : SC_IN (Taddress_t        )   **  in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EPCR      ;//[nb_ooo_engine]
   public    : SC_IN (Tcontrol_t        )   **  in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR_VAL  ;//[nb_ooo_engine]
-  public    : SC_IN (Taddress_t        )   **  in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ;//[nb_ooo_engine]
+  public    : SC_IN (Tgeneral_data_t   )   **  in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ;//[nb_ooo_engine]
 
     
@@ -168,5 +168,5 @@
   public    : SC_OUT(Texception_t      ) **** out_EXECUTE_OOO_ENGINE_EXCEPTION              ;//[nb_ooo_engine][ooo_engine_nb_execute_loop][nb_inst_execute]
   public    : SC_OUT(Tcontrol_t        ) **** out_EXECUTE_OOO_ENGINE_NO_SEQUENCE            ;//[nb_ooo_engine][ooo_engine_nb_execute_loop][nb_inst_execute]
-  public    : SC_OUT(Tgeneral_data_t   ) **** out_EXECUTE_OOO_ENGINE_ADDRESS                ;//[nb_ooo_engine][ooo_engine_nb_execute_loop][nb_inst_execute]
+  public    : SC_OUT(Taddress_t        ) **** out_EXECUTE_OOO_ENGINE_ADDRESS                ;//[nb_ooo_engine][ooo_engine_nb_execute_loop][nb_inst_execute]
   public    : SC_OUT(Tgeneral_data_t   ) **** out_EXECUTE_OOO_ENGINE_DATA                   ;//[nb_ooo_engine][ooo_engine_nb_execute_loop][nb_inst_execute]
 
@@ -182,5 +182,5 @@
   public    : SC_IN (Texception_t      )  ***  in_EXECUTE_EXECUTE_LOOP_EXCEPTION            ;//[nb_execute_loop][nb_write_unit]
   public    : SC_IN (Tcontrol_t        )  ***  in_EXECUTE_EXECUTE_LOOP_NO_SEQUENCE          ;//[nb_execute_loop][nb_write_unit]
-  public    : SC_IN (Tgeneral_data_t   )  ***  in_EXECUTE_EXECUTE_LOOP_ADDRESS              ;//[nb_execute_loop][nb_write_unit]
+  public    : SC_IN (Taddress_t        )  ***  in_EXECUTE_EXECUTE_LOOP_ADDRESS              ;//[nb_execute_loop][nb_write_unit]
   public    : SC_IN (Tgeneral_data_t   )  ***  in_EXECUTE_EXECUTE_LOOP_DATA                 ;//[nb_execute_loop][nb_write_unit]
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Core_Glue_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Core_Glue_allocation.cpp	(revision 96)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Core_Glue_allocation.cpp	(revision 97)
@@ -97,7 +97,7 @@
       ALLOC1_SIGNAL_OUT(out_COMMIT_EVENT_FRONT_END_IS_DELAY_SLOT      ,"IS_DELAY_SLOT"        ,Tcontrol_t        ,1);
       ALLOC1_SIGNAL_OUT(out_COMMIT_EVENT_FRONT_END_ADDRESS            ,"ADDRESS"              ,Taddress_t        ,_param->_size_instruction_address);
-      ALLOC1_SIGNAL_OUT(out_COMMIT_EVENT_FRONT_END_ADDRESS_EPCR       ,"ADDRESS_EPCR"         ,Taddress_t        ,_param->_size_spr);
+      ALLOC1_SIGNAL_OUT(out_COMMIT_EVENT_FRONT_END_ADDRESS_EPCR       ,"ADDRESS_EPCR"         ,Taddress_t        ,_param->_size_instruction_address);
       ALLOC1_SIGNAL_OUT(out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR_VAL   ,"ADDRESS_EEAR_VAL"     ,Tcontrol_t        ,1);
-      ALLOC1_SIGNAL_OUT(out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ,"ADDRESS_EEAR"         ,Taddress_t        ,_param->_size_spr);
+      ALLOC1_SIGNAL_OUT(out_COMMIT_EVENT_FRONT_END_ADDRESS_EEAR       ,"ADDRESS_EEAR"         ,Tgeneral_data_t   ,_param->_size_general_data);
     }
 
@@ -113,7 +113,7 @@
       ALLOC1_SIGNAL_IN ( in_COMMIT_EVENT_OOO_ENGINE_IS_DELAY_SLOT     ,"IS_DELAY_SLOT"        ,Tcontrol_t        ,1);
       ALLOC1_SIGNAL_IN ( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS           ,"ADDRESS"              ,Taddress_t        ,_param->_size_instruction_address);
-      ALLOC1_SIGNAL_IN ( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EPCR      ,"ADDRESS_EPCR"         ,Taddress_t        ,_param->_size_spr);
+      ALLOC1_SIGNAL_IN ( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EPCR      ,"ADDRESS_EPCR"         ,Taddress_t        ,_param->_size_instruction_address);
       ALLOC1_SIGNAL_IN ( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR_VAL  ,"ADDRESS_EEAR_VAL"     ,Tcontrol_t        ,1);
-      ALLOC1_SIGNAL_IN ( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ,"ADDRESS_EEAR"         ,Taddress_t        ,_param->_size_spr);
+      ALLOC1_SIGNAL_IN ( in_COMMIT_EVENT_OOO_ENGINE_ADDRESS_EEAR      ,"ADDRESS_EEAR"         ,Tgeneral_data_t   ,_param->_size_general_data);
     }
 
@@ -186,5 +186,5 @@
       _ALLOC3_SIGNAL_OUT(out_EXECUTE_OOO_ENGINE_EXCEPTION              ,"EXCEPTION"            ,Texception_t      ,_param->_size_exception   ,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
       _ALLOC3_SIGNAL_OUT(out_EXECUTE_OOO_ENGINE_NO_SEQUENCE            ,"NO_SEQUENCE"          ,Tcontrol_t        ,1                         ,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
-      _ALLOC3_SIGNAL_OUT(out_EXECUTE_OOO_ENGINE_ADDRESS                ,"ADDRESS"              ,Tgeneral_data_t   ,_param->_size_general_data,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
+      _ALLOC3_SIGNAL_OUT(out_EXECUTE_OOO_ENGINE_ADDRESS                ,"ADDRESS"              ,Taddress_t        ,_param->_size_instruction_address,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
       _ALLOC3_SIGNAL_OUT(out_EXECUTE_OOO_ENGINE_DATA                   ,"DATA"                 ,Tgeneral_data_t   ,_param->_size_general_data,_param->_nb_ooo_engine,_param->_ooo_engine_nb_execute_loop[it1],_param->_nb_inst_execute[it1][it2]);
     }
@@ -204,5 +204,5 @@
       _ALLOC2_SIGNAL_IN ( in_EXECUTE_EXECUTE_LOOP_EXCEPTION            ,"EXCEPTION"            ,Texception_t      ,_param->_size_exception    ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
       _ALLOC2_SIGNAL_IN ( in_EXECUTE_EXECUTE_LOOP_NO_SEQUENCE          ,"NO_SEQUENCE"          ,Tcontrol_t        ,1                          ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
-      _ALLOC2_SIGNAL_IN ( in_EXECUTE_EXECUTE_LOOP_ADDRESS              ,"ADDRESS"              ,Tgeneral_data_t   ,_param->_size_general_data ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
+      _ALLOC2_SIGNAL_IN ( in_EXECUTE_EXECUTE_LOOP_ADDRESS              ,"ADDRESS"              ,Taddress_t        ,_param->_size_instruction_address,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
       _ALLOC2_SIGNAL_IN ( in_EXECUTE_EXECUTE_LOOP_DATA                 ,"DATA"                 ,Tgeneral_data_t   ,_param->_size_general_data ,_param->_nb_execute_loop,_param->_nb_write_unit[it1]);
     }
